DockApp Development Standard Library

Alban G. Hertroys <dalroi@solfertje.student.utwente.nl>
Alfredo K. Kojima <kojima@windowmaker.org>
Pascal G. Hofstee <daeron@windowmaker.org>

...............................................................................

You must have libXpm library installed and the shape extension supported
by your X server to be able to build and install libdockapp.

If you received this file in a tarball then you probably need to generate the
configuration environment yourself. You need libtool and autotools for this
purpose.
To compile libDockApp enter the libdockapp directory and type:

autoreconf -if
./configure
make install

You can choose to not install the examples or the fonts with configure
options:
  --with-font             install the dockapp font (default=yes)
  --with-examples         install the examples (default=yes)


The API is described in dockapp.h
There are some examples in the examples directory. These aren't build by
default.
You can compile them like:

    cd examples/basic
    make

Optionally you can "make install" if you really like the example application.


License:

Copyright (c) 1999-2003 Alfredo K. Kojima, Pascal Hofstee, Alban G. Hertroys
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

